← Tabeller

Scotland

East Region League Division 3

#HoldPWDLPDBPPtsForm
1Royal High RFC4400+279420WWWW
2Duns RFC5401+95420WWWWL
3Edinburgh University Medics6402+35218WLWWW
4Trinity Academicals RFC4202+11311LWLW
5Lismore RFC5203-7238WLLLW
6Caledonian Thebans RFC6006-22341LLLLL
7Penicuik RFC3003-13120LLL
8Inverleith RFC3201+620LWW

Kilde: Scottish Rugby · tjekket 17. okt., 23.20 · Form: de seneste fem resultater, vi har, nyeste til højre.

Kampe og resultater →

Hver tabel er ligaens egen offentliggjorte stilling med bonuspoint, fradrag og placeringsregler. BP vises, hvor ligaen offentliggør det; ellers er det allerede med i Pts.